<template>
  <a-layout class="layout">
    <Navbar/>
    <a-layout-content style="padding: 0 50px; margin: 16px 0">
      <a-layout style="padding: 24px 0; background: #fff">
       <Sidebar/>
        <a-layout-content :style="{ padding: '0 24px', minHeight: '280px' }">
          <router-view/>
        </a-layout-content>
      </a-layout>
    </a-layout-content>
    <a-layout-footer style="text-align: center">
      <!-- Ant Design ©2016 Created by Ant UED -->
    </a-layout-footer>
  </a-layout>
</template>
<style>
.logo {
	color: #fff;
	font-size: 1.5rem;
	font-weight: 700;
}
.menu-right-align {
	text-align: right;
}
.menu-right-align a {
	color: rgba(255, 255, 255, 0.65);
}
.menu-right-align a:hover {
	color: #fff;
}
.menu-left-align a {
	color: rgba(255, 255, 255, 0.65);
	margin-right: 1rem;
}
.menu-left-align a:hover {
	color: #fff;
}
.layout {
	min-height: 100vh;
}
.header {
	background-color: #001529;
}
.active {
	background-color: #1890ff;
	/*
	rgba(255, 255, 255, 0.65)
	*/
}
</style>

<script type="text/javascript">
	import Navbar from '../app/Navbar'
	import Sidebar from '../app/Sidebar'

	export default {
		components: {
			Navbar,
			Sidebar
		}
	}
</script>